/********************************************************
 * Radio From Outer Space
 ********************************************************
 * 11Okt2016 dernulleffekt.de
 * 
 * Sets on frequency for the radio and turns on one LED.
 *
 ********************************************************/
 
#include <Wire.h>

// Change it for differnet frequency
// 99.9 - PIRAT Radio
double frequency = 99.9;

int ledPin=12;
unsigned char frequencyH = 0;
unsigned char frequencyL = 0;
unsigned int frequencyB;

void setup(){
  pinMode(ledPin,OUTPUT);
  digitalWrite(ledPin,HIGH);
  Wire.begin();
  setFrequency();
}

void loop(){
}

void setFrequency()
{
  frequencyB = 4 * (frequency * 1000000 + 225000) / 32768;
  frequencyH = frequencyB >> 8;
  frequencyL = frequencyB & 0XFF;
  delay(100);
  Wire.beginTransmission(0x60);
  Wire.write(frequencyH);
  Wire.write(frequencyL);
  Wire.write(0xB0);
  Wire.write(0x10);
  Wire.write(0x00);//(byte)0x00);
  Wire.endTransmission();
  delay(100);
}

